Skip to main content
GET
/
v1-alpha1
/
nfts
/
{nftLocator}
/
credentials
Get Credential by NFT Locator
curl --request GET \
  --url https://staging.crossmint.com/api/v1-alpha1/nfts/{nftLocator}/credentials \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://staging.crossmint.com/api/v1-alpha1/nfts/{nftLocator}/credentials"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://staging.crossmint.com/api/v1-alpha1/nfts/{nftLocator}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$ref": "#/components/examples/Credential"
}
{
"title": "NotIssuedYet",
"description": "Credential not issued yet, wait for the mint to complete."
}
This is an alpha API and subject to change.

Authorizations

X-API-KEY
string
header
required

Key obtained from the Crossmint developer console, reflecting the API scope granted.

Path Parameters

nftLocator
string
required

NFT on chain locator, in the format of <chain>:<contract_address>:<tokenId>

Response

Success.

The credential object